org.apache.sling.testing.tools.sling

## Class SlingInstanceManager

- java.lang.Object
- - org.apache.sling.testing.tools.sling.SlingInstanceManager

All Implemented Interfaces:
  Iterable<SlingInstance>

    public class SlingInstanceManager
    extends Object
    implements Iterable<SlingInstance>

Helper class for running tests against multiple Sling instances, takes care of starting the Sling instances and waiting for them to be ready.

### Constructor Summary

Constructors
Constructor and Description
`SlingInstanceManager(Properties systemProperties, String... instanceNames)` Get configuration but do not start server yet, that's done on demand
`SlingInstanceManager(String... instanceNames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SlingInstance` `getInstance(String instanceName)`
`Iterator<SlingInstance>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SlingInstanceManager

    public SlingInstanceManager(String... instanceNames)

#### SlingInstanceManager

    public SlingInstanceManager(Properties systemProperties,
                                String... instanceNames)

Get configuration but do not start server yet, that's done on demand

### Method Detail

#### getInstance

    public SlingInstance getInstance(String instanceName)

#### iterator

    public Iterator<SlingInstance> iterator()

Specified by:
  `iterator` in interface `Iterable<SlingInstance>`